import { initializeInputToggle } from '../utils/show-hide-input';

var Wick = window.Wick || {};

Wick.TogglePasswordVisibility = {
    el: {
        $containers: $('.form-row[data-show-content] .input-wrap'),
    },

    init() {
        if (!this.el.$containers.length) {
            return;
        }
        this.el.$containers.each(function () {
            initializeInputToggle($(this));
        });
    },
};

$(document).ready(function () {
    Wick.TogglePasswordVisibility.init();
});
